Update config

Update an existing config

PUT
/configs/{configId}
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

Path Parameters

configIdstring

ID of the config

Config update input

allowUserOverride?boolean

Whether user preferences are allowed for this config. When true, users can override the value

key?string

Unique key for the config.

schema?array<integer>

JSON Schema for the config. Must be a valid JSON Schema.

value?unknown

Initial value for the config.

Response Body

curl -X PUT "https://eu1.api.bivariant.com/v1/configs/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "allowUserOverride": true,
  "createdAt": "string",
  "deprecatedVersion": true,
  "id": "string",
  "key": "string",
  "organizationId": "string",
  "schema": null,
  "scope": "tenant",
  "scopeId": "string",
  "system": true,
  "updatedAt": "string",
  "value": null,
  "version": 0
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}